SessionDock Developer Docs
Authoritative guides, generated Local API reference, and practical patterns for local automation, scripts, launchers, and AI agents running alongside SessionDock.
Confirms that the Local API is running and the supplied bearer token is valid.
/api/v1/healthConfirms that the Local API is running and the supplied bearer token is valid.
curl -X GET 'http://127.0.0.1:18432/api/v1/health' \
-H 'Authorization: Bearer <token>'Health snapshot
application/json
{
"data": {
"status": "ok",
"configuredMode": "disabled",
"effectiveMode": "disabled",
"running": true,
"port": 0,
"baseUrl": "<string>",
"docsUrl": "<string>",
"requestCount": 0,
"recentRequests": [
{
"method": "<string>",
"path": "<string>",
"statusCode": 0,
"at": "2025-01-15T12:34:56Z"
}
],
"lastError": "<string>"
}
}{
"data": {
"status": "ok",
"running": true,
"configuredMode": "read-only",
"effectiveMode": "read-only",
"port": 18432,
"baseUrl": "http://127.0.0.1:18432/api/v1",
"docsUrl": "http://127.0.0.1:18432/docs",
"requestCount": 42,
"recentRequests": []
}
}Missing or invalid bearer token.
application/json
{
"error": {
"status": 0,
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"status": 401,
"code": "unauthorized",
"message": "Provide Authorization: Bearer <token>."
}
}